#include "xfxfloatrange.h"

XFxFloatRange::XFxFloatRange()
    : XAsset()
    , mBase(0)
    , mAmplitude(0)
{
    SetName("Float Range");
}

XFxFloatRange::~XFxFloatRange()
{
    
}

void XFxFloatRange::Clear()
{
    mBase = 0;
    mAmplitude = 0;
}

void XFxFloatRange::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxFloatRange::ParseData
}
